Name:		xtermcontrol
Version:	3.8
Release:	1%{?dist}
Summary:	dynamic control of XFree86 xterm properties

License:	GPLv2+
URL:		https://thrysoee.dk/xtermcontrol/
Source0:	https://github.com/JessThrysoee/xtermcontrol/archive/%{version}.tar.gz

BuildRequires:	gcc

%description

Xtermcontrol enables dynamic control of xterm properties. It makes it easy 
to change colors, title, font and geometry of a running xterm, as well as 
to report the current settings of these properties. Window manipulations 
de-/iconify, raise/lower, maximize/restore and reset are also supported.
To complete the feature set; xtermcontrol lets advanced users issue any 
xterm control sequence of their choosing.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/xtermcontrol
%{_mandir}/man1/xtermcontrol.1.gz

%changelog
* Wed May 05 2021 josef radinger <cheese@nosuchhost.net> - 3.8-1
- bump version

* Tue Aug 25 2020 josef radinger <cheese@nosuchhost.net> - 3.7-1
- Initial package

